# 商談予約のCallback（Google Analytics等の計測）

### 概要

Thanks 画面用 の immedioConfig に onReservationRequest を設定することで、商談予約が行われたことを受信することが出来ます。

### 使用方法

```html
<script>
immedioConfig = {
    pageType: 'thanks',
    onReservationRequest: function() {
        console.log('Reservation Requested');
    }
};
</script>
<script src="https://sdk.immedio.io/sdk.js"></script>
```

Callback を利用して Google Analytics でコンバージョン計測する場合のサンプルコード

```html
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=xxxxxxxx"></script>
<script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
    gtag('config', 'xxxxxxxx');
</script>

<script>
immedioConfig = {
    pageType: 'thanks',
    onReservationRequest: function() {
        gtag('event', 'event_name', {
            'key': 'value',
        });
    }
};
</script>
<script src="https://sdk.immedio.io/sdk.js"></script>
```

### 関連

* [immedioイベント（ブラウザイベント連携）](/guides/immedio-events.md)
  * ブラウザイベント（window）として発火されるため、外部サービスや別スクリプトで横断的にlistenできます


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.immedio.io/guides/callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
